Open CASCADE Technology: Contap_Contour Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Contap_Contour Class Reference

`#include <Contap_Contour.hxx>`

## Public Member Functions
| Contap_Contour ()
| Contap_Contour (const gp_Vec &Direction)
| Contap_Contour (const gp_Vec &Direction, const Standard_Real Angle)
| Contap_Contour (const gp_Pnt &Eye)
| Contap_Contour (const Handle< Adaptor3d_HSurface > &Surf, const Handle< Adaptor3d_TopolTool > &Domain, const gp_Vec &Direction)
| Creates the contour in a given direction. More...
| Contap_Contour (const Handle< Adaptor3d_HSurface > &Surf, const Handle< Adaptor3d_TopolTool > &Domain, const gp_Vec &Direction, const Standard_Real Angle)
| Creates the contour in a given direction. More...
| Contap_Contour (const Handle< Adaptor3d_HSurface > &Surf, const Handle< Adaptor3d_TopolTool > &Domain, const gp_Pnt &Eye)
| Creates the contour for a perspective view. More...
void | Perform (const Handle< Adaptor3d_HSurface > &Surf, const Handle< Adaptor3d_TopolTool > &Domain)
| Creates the contour in a given direction. More...
void | Perform (const Handle< Adaptor3d_HSurface > &Surf, const Handle< Adaptor3d_TopolTool > &Domain, const gp_Vec &Direction)
| Creates the contour in a given direction. More...
void | Perform (const Handle< Adaptor3d_HSurface > &Surf, const Handle< Adaptor3d_TopolTool > &Domain, const gp_Vec &Direction, const Standard_Real Angle)
| Creates the contour in a given direction. More...
void | Perform (const Handle< Adaptor3d_HSurface > &Surf, const Handle< Adaptor3d_TopolTool > &Domain, const gp_Pnt &Eye)
| Creates the contour for a perspective view. More...
void | Init (const gp_Vec &Direction)
void | Init (const gp_Vec &Direction, const Standard_Real Angle)
void | Init (const gp_Pnt &Eye)
Standard_Boolean | IsDone () const
Standard_Boolean | IsEmpty () const
| Returns true if the is no line. More...
Standard_Integer | NbLines () const
const Contap_Line & | Line (const Standard_Integer Index) const
Contap_SurfFunction & | SurfaceFunction ()
| Returns a reference on the internal SurfaceFunction. This is used to compute tangents on the lines. More...

## Constructor & Destructor Documentation

Contap_Contour::Contap_Contour | ( |  | ) |

Contap_Contour::Contap_Contour | ( | const gp_Vec & | Direction | ) |

Contap_Contour::Contap_Contour | ( | const gp_Vec & | Direction,
|  | const Standard_Real | Angle
| ) |  |

Contap_Contour::Contap_Contour | ( | const gp_Pnt & | Eye | ) |

Contap_Contour::Contap_Contour | ( | const Handle< Adaptor3d_HSurface > & | Surf,
|  | const Handle< Adaptor3d_TopolTool > & | Domain,
|  | const gp_Vec & | Direction
| ) |  |

Creates the contour in a given direction.

Contap_Contour::Contap_Contour | ( | const Handle< Adaptor3d_HSurface > & | Surf,
|  | const Handle< Adaptor3d_TopolTool > & | Domain,
|  | const gp_Vec & | Direction,
|  | const Standard_Real | Angle
| ) |  |

Creates the contour in a given direction.

Contap_Contour::Contap_Contour | ( | const Handle< Adaptor3d_HSurface > & | Surf,
|  | const Handle< Adaptor3d_TopolTool > & | Domain,
|  | const gp_Pnt & | Eye
| ) |  |

Creates the contour for a perspective view.

## Member Function Documentation

void Contap_Contour::Init | ( | const gp_Vec & | Direction | ) |

void Contap_Contour::Init | ( | const gp_Vec & | Direction,
|  | const Standard_Real | Angle
| ) |  |

void Contap_Contour::Init | ( | const gp_Pnt & | Eye | ) |

Standard_Boolean Contap_Contour::IsDone | ( |  | ) | const

Standard_Boolean Contap_Contour::IsEmpty | ( |  | ) | const

Returns true if the is no line.

const Contap_Line& Contap_Contour::Line | ( | const Standard_Integer | Index | ) | const

Standard_Integer Contap_Contour::NbLines | ( |  | ) | const

void Contap_Contour::Perform | ( | const Handle< Adaptor3d_HSurface > & | Surf,
|  | const Handle< Adaptor3d_TopolTool > & | Domain
| ) |  |

Creates the contour in a given direction.

void Contap_Contour::Perform | ( | const Handle< Adaptor3d_HSurface > & | Surf,
|  | const Handle< Adaptor3d_TopolTool > & | Domain,
|  | const gp_Vec & | Direction
| ) |  |

Creates the contour in a given direction.

void Contap_Contour::Perform | ( | const Handle< Adaptor3d_HSurface > & | Surf,
|  | const Handle< Adaptor3d_TopolTool > & | Domain,
|  | const gp_Vec & | Direction,
|  | const Standard_Real | Angle
| ) |  |

Creates the contour in a given direction.

void Contap_Contour::Perform | ( | const Handle< Adaptor3d_HSurface > & | Surf,
|  | const Handle< Adaptor3d_TopolTool > & | Domain,
|  | const gp_Pnt & | Eye
| ) |  |

Creates the contour for a perspective view.

Contap_SurfFunction& Contap_Contour::SurfaceFunction | ( |  | ) |

Returns a reference on the internal SurfaceFunction. This is used to compute tangents on the lines.

The documentation for this class was generated from the following file:

- Contap_Contour.hxx